/*
 * OCaml Support For IntelliJ Platform.
 * Copyright (C) 2010 Maxim Manuylov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/gpl-2.0.html>.
 */

package manuylov.maxim.ocaml.lang.parser.psi;

import manuylov.maxim.ocaml.lang.parser.psi.element.*;
import org.jetbrains.annotations.NotNull;

/**
 * @author Maxim.Manuylov
 *         Date: 22.03.2009
 */
public class OCamlElementVisitorAdapter extends OCamlElementVisitor {
    public void visitLetBinding(@NotNull final OCamlLetBinding psiElement) {
    }

    public void visitLetStatement(@NotNull final OCamlLetStatement psiElement) {
    }

    public void visitLetExpression(@NotNull final OCamlLetExpression psiElement) {
    }

    public void visitLetClassExpression(@NotNull final OCamlLetClassExpression psiElement) {
    }

    public void visitExternalDefinition(@NotNull final OCamlExternalDefinition psiElement) {
    }

    public void visitExceptionDefinition(@NotNull final OCamlExceptionDefinition psiElement) {
    }

    public void visitOpenDirective(@NotNull final OCamlOpenDirective psiElement) {
    }

    public void visitIncludeDirectiveDefinition(@NotNull final OCamlIncludeDirectiveDefinition psiElement) {
    }

    public void visitExceptionSpecification(@NotNull final OCamlExceptionSpecification psiElement) {
    }

    public void visitIncludeDirectiveSpecification(@NotNull final OCamlIncludeDirectiveSpecification psiElement) {
    }

    public void visitValueSpecification(@NotNull final OCamlValueSpecification psiElement) {
    }

    public void visitExternalDeclaration(@NotNull final OCamlExternalDeclaration psiElement) {
    }

    public void visitTypeDefinition(@NotNull final OCamlTypeDefinition psiElement) {
    }

    public void visitTypeBinding(@NotNull final OCamlTypeBinding psiElement) {
    }

    public void visitTypeParameter(@NotNull final OCamlTypeParameter psiElement) {
    }

    public void visitPlusMinusTypeParameter(@NotNull final OCamlPlusMinusTypeParameter psiElement) {
    }

    public void visitRecordTypeDefinition(@NotNull final OCamlRecordTypeDefinition psiElement) {
    }

    public void visitRecordFieldDefinition(@NotNull final OCamlRecordFieldDefinition psiElement) {
    }

    public void visitRecordFieldInitializationInExpression(@NotNull final OCamlRecordFieldInitializationInExpression psiElement) {
    }

    public void visitVariantTypeDefinition(@NotNull final OCamlVariantTypeDefinition psiElement) {
    }

    public void visitConstructorDefinition(@NotNull final OCamlConstructorDefinition psiElement) {
    }

    public void visitTypeDefinitionConstraint(@NotNull final OCamlTypeDefinitionConstraint psiElement) {
    }

    public void visitAsTypeExpression(@NotNull final OCamlAsTypeExpression psiElement) {
    }

    public void visitFunctionTypeExpression(@NotNull final OCamlFunctionTypeExpression psiElement) {
    }

    public void visitTupleTypeExpression(@NotNull final OCamlTupleTypeExpression psiElement) {
    }

    public void visitSuperClassTypeExpression(@NotNull final OCamlSuperClassTypeExpression psiElement) {
    }

    public void visitTypeConstructorApplicationTypeExpression(@NotNull final OCamlTypeConstructorApplicationTypeExpression psiElement) {
    }

    public void visitObjectInterfaceTypeExpression(@NotNull final OCamlObjectInterfaceTypeExpression psiElement) {
    }

    public void visitMethodType(@NotNull final OCamlMethodType psiElement) {
    }

    public void visitVariantTypeTypeExpression(@NotNull final OCamlVariantTypeTypeExpression psiElement) {
    }

    public void visitTagSpec(@NotNull final OCamlTagSpec psiElement) {
    }

    public void visitTagSpecFull(@NotNull final OCamlTagSpecFull psiElement) {
    }

    public void visitPolyTypeExpression(@NotNull final OCamlPolyTypeExpression psiElement) {
    }

    public void visitClassDefinition(@NotNull final OCamlClassDefinition psiElement) {
    }

    public void visitClassBinding(@NotNull final OCamlClassBinding psiElement) {
    }

    public void visitClassTypeDefinition(@NotNull final OCamlClassTypeDefinition psiElement) {
    }

    public void visitClassTypeBinding(@NotNull final OCamlClassTypeBinding psiElement) {
    }

    public void visitFunctionClassType(@NotNull final OCamlFunctionClassType psiElement) {
    }

    public void visitClassPathApplication(@NotNull final OCamlClassPathApplication psiElement) {
    }

    public void visitObjectEndClassBodyType(@NotNull final OCamlObjectEndClassBodyType psiElement) {
    }

    public void visitInheritClassFiledSpecification(@NotNull final OCamlInheritClassFiledSpecification psiElement) {
    }

    public void visitValueClassFieldSpecification(@NotNull final OCamlValueClassFieldSpecification psiElement) {
    }

    public void visitMethodClassFieldSpecification(@NotNull final OCamlMethodClassFieldSpecification psiElement) {
    }

    public void visitConstraintClassFieldSpecification(@NotNull final OCamlConstraintClassFieldSpecification psiElement) {
    }

    public void visitFunctionApplicationClassExpression(@NotNull final OCamlFunctionApplicationClassExpression psiElement) {
    }

    public void visitObjectEndClassExpression(@NotNull final OCamlObjectEndClassExpression psiElement) {
    }

    public void visitInheritClassFieldDefinition(@NotNull final OCamlInheritClassFieldDefinition psiElement) {
    }

    public void visitInitializerClassFieldDefinition(@NotNull final OCamlInitializerClassFieldDefinition psiElement) {
    }

    public void visitConstraintClassFieldDefinition(@NotNull final OCamlConstraintClassFieldDefinition psiElement) {
    }

    public void visitValueClassFieldDefinition(@NotNull final OCamlValueClassFieldDefinition psiElement) {
    }

    public void visitMethodClassFieldDefinition(@NotNull final OCamlMethodClassFieldDefinition psiElement) {
    }

    public void visitFunctionClassExpression(@NotNull final OCamlFunctionClassExpression psiElement) {
    }

    public void visitClassSpecification(@NotNull final OCamlClassSpecification psiElement) {
    }

    public void visitClassSpecificationBinding(@NotNull final OCamlClassSpecificationBinding psiElement) {
    }

    public void visitClassTypeConstraint(@NotNull final OCamlClassTypeConstraint psiElement) {
    }

    public void visitModuleDefinition(@NotNull final OCamlModuleDefinition psiElement) {
    }

    public void visitModuleTypeDefinition(@NotNull final OCamlModuleTypeDefinition psiElement) {
    }

    public void visitFunctorModuleType(@NotNull final OCamlFunctorModuleType psiElement) {
    }

    public void visitSigEndModuleType(@NotNull final OCamlSigEndModuleType psiElement) {
    }

    public void visitModuleTypeTypeConstraint(@NotNull final OCamlModuleTypeTypeConstraint psiElement) {
    }

    public void visitModuleTypeModuleConstraint(@NotNull final OCamlModuleTypeModuleConstraint psiElement) {
    }

    public void visitFunctorApplicationModuleExpression(@NotNull final OCamlFunctorApplicationModuleExpression psiElement) {
    }

    public void visitStructEndModuleExpression(@NotNull final OCamlStructEndModuleExpression psiElement) {
    }

    public void visitFunctorModuleExpression(@NotNull final OCamlFunctorModuleExpression psiElement) {
    }

    public void visitModuleTypeConstraintModuleExpression(@NotNull final OCamlModuleTypeConstraintModuleExpression psiElement) {
    }

    public void visitModuleTypeWithConstraints(@NotNull final OCamlModuleTypeWithConstraints psiElement) {
    }

    public void visitModuleTypeSpecification(@NotNull final OCamlModuleTypeSpecification psiElement) {
    }

    public void visitModuleSpecification(@NotNull final OCamlModuleSpecification psiElement) {
    }

    public void visitValueName(@NotNull final OCamlValueName psiElement) {
    }

    public void visitValueNamePattern(@NotNull final OCamlValueNamePattern psiElement) {
    }

    public void visitOperatorName(@NotNull final OCamlOperatorName psiElement) {
    }

    public void visitModulePath(@NotNull final OCamlModulePath psiElement) {
    }

    public void visitModuleName(@NotNull final OCamlModuleName psiElement) {
    }

    public void visitConstructorPath(@NotNull final OCamlConstructorPath psiElement) {
    }

    public void visitConstructorName(@NotNull final OCamlConstructorName psiElement) {
    }

    public void visitTypeConstructorName(@NotNull final OCamlTypeConstructorName psiElement) {
    }

    public void visitFieldName(@NotNull final OCamlFieldName psiElement) {
    }

    public void visitClassPath(@NotNull final OCamlClassPath psiElement) {
    }

    public void visitClassName(@NotNull final OCamlClassName psiElement) {
    }

    public void visitMethodName(@NotNull final OCamlMethodName psiElement) {
    }

    public void visitInstVarName(@NotNull final OCamlInstVarName psiElement) {
    }

    public void visitLabelName(@NotNull final OCamlLabelName psiElement) {
    }

    public void visitModuleTypeName(@NotNull final OCamlModuleTypeName psiElement) {
    }

    public void visitExtendedModulePath(@NotNull final OCamlExtendedModulePath psiElement) {
    }

    public void visitExtendedModuleName(@NotNull final OCamlExtendedModuleName psiElement) {
    }

    public void visitTypeConstructorPath(@NotNull final OCamlTypeConstructorPath psiElement) {
    }

    public void visitModuleTypePath(@NotNull final OCamlModuleTypePath psiElement) {
    }

    public void visitTagName(@NotNull final OCamlTagName psiElement) {
    }

    public void visitValuePath(@NotNull final OCamlValuePath psiElement) {
    }

    public void visitFieldPath(@NotNull final OCamlFieldPath psiElement) {
    }

    public void visitConstant(@NotNull final OCamlConstant psiElement) {
    }

    public void visitMatchExpression(@NotNull final OCamlMatchExpression psiElement) {
    }

    public void visitFunExpression(@NotNull final OCamlFunExpression psiElement) {
    }

    public void visitFunctionExpression(@NotNull final OCamlFunctionExpression psiElement) {
    }

    public void visitTryExpression(@NotNull final OCamlTryExpression psiElement) {
    }

    public void visitPatternMatching(@NotNull final OCamlPatternMatching psiElement) {
    }

    public void visitSemicolonExpression(@NotNull final OCamlSemicolonExpression psiElement) {
    }

    public void visitIfExpression(@NotNull final OCamlIfExpression psiElement) {
    }

    public void visitForExpression(@NotNull final OCamlForExpression psiElement) {
    }

    public void visitWhileExpression(@NotNull final OCamlWhileExpression psiElement) {
    }

    public void visitAssignmentExpression(@NotNull final OCamlAssignmentExpression psiElement) {
    }

    public void visitCommaExpression(@NotNull final OCamlCommaExpression psiElement) {
    }

    public void visitBinaryExpression(@NotNull final OCamlBinaryExpression psiElement) {
    }

    public void visitHeadTailExpression(@NotNull final OCamlHeadTailExpression psiElement) {
    }

    public void visitAssertExpression(@NotNull final OCamlAssertExpression psiElement) {
    }

    public void visitLazyExpression(@NotNull final OCamlLazyExpression psiElement) {
    }

    public void visitConstructorApplicationExpression(@NotNull final OCamlConstructorApplicationExpression psiElement) {
    }

    public void visitFunctionApplicationExpression(@NotNull final OCamlFunctionApplicationExpression psiElement) {
    }

    public void visitArrayElementAccessingExpression(@NotNull final OCamlArrayElementAccessingExpression psiElement) {
    }

    public void visitStringCharAccessingExpression(@NotNull final OCamlStringCharAccessingExpression psiElement) {
    }

    public void visitRecordFieldAccessingExpression(@NotNull final OCamlRecordFieldAccessingExpression psiElement) {
    }

    public void visitUnaryExpression(@NotNull final OCamlUnaryExpression psiElement) {
    }

    public void visitClassMethodAccessingExpression(@NotNull final OCamlClassMethodAccessingExpression psiElement) {
    }

    public void visitTaggedExpression(@NotNull final OCamlTaggedExpression psiElement) {
    }

    public void visitTypeConstraintExpression(@NotNull final OCamlTypeConstraintExpression psiElement) {
    }

    public void visitCastingExpression(@NotNull final OCamlCastingExpression psiElement) {
    }

    public void visitListExpression(@NotNull final OCamlListExpression psiElement) {
    }

    public void visitArrayExpression(@NotNull final OCamlArrayExpression psiElement) {
    }

    public void visitRecordExpression(@NotNull final OCamlRecordExpression psiElement) {
    }

    public void visitInheritedRecordExpression(@NotNull final OCamlInheritedRecordExpression psiElement) {
    }

    public void visitInstanceDuplicatingExpression(@NotNull final OCamlInstanceDuplicatingExpression psiElement) {
    }

    public void visitObjectClassBodyEndExpression(@NotNull final OCamlObjectClassBodyEndExpression psiElement) {
    }

    public void visitNewInstanceExpression(@NotNull final OCamlNewInstanceExpression psiElement) {
    }

    public void visitArgument(@NotNull final OCamlArgument psiElement) {
    }

    public void visitParameter(@NotNull final OCamlParameter psiElement) {
    }

    public void visitAsPattern(@NotNull final OCamlAsPattern psiElement) {
    }

    public void visitOrPattern(@NotNull final OCamlOrPattern psiElement) {
    }

    public void visitCommaPattern(@NotNull final OCamlCommaPattern psiElement) {
    }

    public void visitHeadTailPattern(@NotNull final OCamlHeadTailPattern psiElement) {
    }

    public void visitConstructorApplicationPattern(@NotNull final OCamlConstructorApplicationPattern psiElement) {
    }

    public void visitTaggedPattern(@NotNull final OCamlTaggedPattern psiElement) {
    }

    public void visitTypeConstructorPattern(@NotNull final OCamlTypeConstructorPattern psiElement) {
    }

    public void visitLazyPattern(@NotNull final OCamlLazyPattern psiElement) {
    }

    public void visitListPattern(@NotNull final OCamlListPattern psiElement) {
    }

    public void visitArrayPattern(@NotNull final OCamlArrayPattern psiElement) {
    }

    public void visitRecordPattern(@NotNull final OCamlRecordPattern psiElement) {
    }

    public void visitTypeConstraintPattern(@NotNull final OCamlTypeConstraintPattern psiElement) {
    }

    public void visitParentheses(@NotNull final OCamlParentheses psiElement) {
    }

    public void visitBrackets(@NotNull final OCamlBrackets psiElement) {
    }

    public void visitUnknownElement(@NotNull final OCamlUnknownElement psiElement) {
    }

    public void visitTypeParameterName(@NotNull final OCamlTypeParameterName psiElement) {
    }

    public void visitForExpressionIndexVariableName(@NotNull final OCamlForExpressionIndexVariableName psiElement) {
    }

    public void visitForExpressionBinding(@NotNull final OCamlForExpressionBinding psiElement) {
    }

    public void visitLabelDefinition(@NotNull final OCamlLabelDefinition psiElement) {
    }

    public void visitTypeParameterDefinition(@NotNull final OCamlTypeParameterDefinition psiElement) {
    }

    public void visitObjectSelfDefinition(@NotNull final OCamlObjectSelfDefinition psiElement) {
    }

    public void visitModuleTypeDefinitionBinding(@NotNull final OCamlModuleTypeDefinitionBinding psiElement) {
    }

    public void visitModuleTypeSpecificationBinding(@NotNull final OCamlModuleTypeSpecificationBinding psiElement) {
    }

    public void visitModuleDefinitionBinding(@NotNull final OCamlModuleDefinitionBinding psiElement) {
    }

    public void visitModuleSpecificationBinding(@NotNull final OCamlModuleSpecificationBinding psiElement) {
    }

    public void visitModuleParameter(@NotNull final OCamlModuleParameter psiElement) {
    }

    public void visitFileModuleExpression(@NotNull final OCamlFileModuleExpression psiElement) {
    }

    public void visitFileModuleType(@NotNull final OCamlFileModuleType psiElement) {
    }

    public void visitCommentBlock(@NotNull final OCamlCommentBlock psiElement) {
    }

    public void visitUnclosedComment(@NotNull final OCamlUnclosedComment psiElement) {
    }

    public void visitLetBindingPattern(@NotNull final OCamlLetBindingPattern psiElement) {
    }

    public void visitRecordFieldInitializationInPattern(@NotNull final OCamlRecordFieldInitializationInPattern psiElement) {
    }

    public void visitInstVarNameDefinition(@NotNull final OCamlInstVarNameDefinition psiElement) {
    }

    public void visitConstructorNameDefinition(@NotNull final OCamlConstructorNameDefinition psiElement) {
    }

    public void visitTypeParameterizedBinding(@NotNull final OCamlTypeParameterizedBinding psiElement) {
    }

    public void visitCharRangePattern(@NotNull final OCamlCharRangePattern psiElement) {
    }

    public void visitFileModuleDefinitionBinding(@NotNull final OCamlFileModuleDefinitionBinding psiElement) {
    }

    public void visitFileModuleSpecificationBinding(@NotNull final OCamlFileModuleSpecificationBinding psiElement) {
    }
}
